#### D.4.25.7 definingBinomialIdeal

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  definingBinomialIdeal(ideal I);

Return:
  The toric ring S is the subalgebra of the basering generated by the leading monomials of the elements of I (considered as a list of polynomials). The function computes the computes the definig binomial ideal J of S with respect to the generators and returns it, together with J. DSee eample.

Note:
  A mathematical remark: the toric ring depends on the list of monomials given, and not only on the ideal they generate! This function requires the previous setting of an NmzFilename. The function does not delete the written files.

Example:

    LIB "normaliz.lib";
    ring R = 37,(x,y,z,w),dp;
    ideal I = x4,x3y,x2y2,xy3,y4;
    setNmzFilename("binomials");
    def S = definingBinomialIdeal(I);
    ==> 1
    ==> 1
    setring S;
    J;
    ==> J[1]=-x(3)*x(4)+x(2)*x(5)
    ==> J[2]=-x(2)*x(4)+x(1)*x(5)
    ==> J[3]=x(2)*x(3)-x(1)*x(4)
    ==> J[4]=-x(2)^2+x(1)*x(3)
    ==> J[5]=-x(4)^2+x(3)*x(5)
    ==> J[6]=x(3)^2-x(2)*x(4)

See also: normalToricRingFromBinomials.

User manual for Singular version 4.4.1, 2025, generated by texi2html.